cvc_discretionary_data_template_seq_st Struct Reference

Discretionary data template, used to encode certificate extensions. More...

`#include <cv_cert.h>`

## Data Fields

ASN1_OBJECT * | type
| OID which specifies the type of the extension.
ASN1_OCTET_STRING * | discretionary_data1
| holds descretionary data
ASN1_OCTET_STRING * | discretionary_data2
| holds descretionary data
ASN1_OCTET_STRING * | discretionary_data3
| holds descretionary data

## Detailed Description

Discretionary data template, used to encode certificate extensions.

Consists of an OID and up to two hash values. This data structure is used for both possible certificate extensions.

Definition at line 148 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h